Page MenuHomePhabricator

List of Phabricator users
Closed, ResolvedPublic

Description

Author: sumanah

Description:
https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e?dmode=source&pli=1

Create and automatically update a list of the users in Gerrits (by username + auto-obfuscated email addresses) that links to that user's changesets and Gerrit reviews. Examples of requested functionality: https://www.mediawiki.org/wiki/Developers and http://toolserver.org/~krinkle/wikimedia-svn-users.php .


Version: unspecified
Severity: enhancement
See Also:
http://code.google.com/p/gerrit/issues/detail?id=1709

Details

Reference
bz35508

Related Objects

StatusSubtypeAssignedTask
Resolveddemon
ResolvedQgil

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:17 AM
bzimport set Reference to bz35508.
bzimport added a subscriber: Unknown Object (MLST).

sumanah wrote:

It would also be great if this list could also explain what Gerrit projects the user is an owner of but that is probably impracticable.

sumanah wrote:

I'd prefer for this list to live within MediaWiki.org, but it could live on Labs or be on gerrit.wikimedia.org like https://gerrit.wikimedia.org/mediawiki-extensions.txt .

The userlist in labsconsole is also the gerrit user list.

It would be awesome if we had user profiles, then we could have the user's profile link to their gerrit contributions. We could also semantically annotate it, so that we can have a query that pulls them all into a paged table.

(In reply to comment #3)

The userlist in labsconsole is also the gerrit user list.
It would be awesome if we had user profiles, then we could have the user's
profile link to their gerrit contributions. We could also semantically annotate
it, so that we can have a query that pulls them all into a paged table.

That would be so totally awesome. Having developer profiles would also eliminate the need for USERINFO files.

unassigning hashar.

sumanah wrote:

This request is for us to hack something by generating a user page based on the Gerrit database, per the instructions in https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e?dmode=source&pli=1 .

From Sumanah, tip about how to get a list of user is at :
https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e

Aka:
gerrit gsql --format PRETTY -c "select full_name,preferred_email from accounts"

This can be done in a way similar to https://gerrit.wikimedia.org/mediawiki-extensions.txt , have a look at:
operations/puppet.git
manifests/gerrit.pp
class gerrit::crons

The cron generating the list of extensions is list_mediawiki_extensions.

Just need to add a new cron there ;-)

Putting back Chad. I had a collision.

demon added a comment.May 7 2012, 11:35 AM

(In reply to comment #7)

From Sumanah, tip about how to get a list of user is at :
https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e
Aka:
gerrit gsql --format PRETTY -c "select full_name,preferred_email from accounts"

You sure about that?

$ ssh -p 29418 gerrit.wikimedia.org gerrit gsql --format PRETTY -c "select full_name,preferred_email from accounts"
fatal: No argument is allowed: full_name,preferred_email

demon added a comment.May 7 2012, 11:37 AM

Ignore me.

That's a LDAP query.

Upstream http://code.google.com/p/gerrit/issues/detail?id=1709 is about

ssh -p 29418 aklapper@gerrit.wikimedia.org gerrit ls-users

similar to already existing

ssh -p 29418 aklapper@gerrit.wikimedia.org gerrit ls-projects
Qgil added a comment.Mar 15 2013, 4:16 AM

Considering this request under the possibility that this proposal goes further: http://www.mediawiki.org/wiki/User:Qgil/Contributors

All MediaWiki users at http://wikitech.wikimedia.org have a connected Gerrit account, right? If so, the list of Gerrit users == the list of Wikitech users already today.

What other information/permissions has Gerrit about a user, and would there be a way to pass that information to the corresponding MediaWiki profile?

Interesting data could be:

  • Users with admin rights?
  • Users with +2 / -2 for all projects.

From a project perspective:

  • Who has +2 / -2 rights for this project.
  • Who has contributed code to this project.
  • Who has reviewed code for this project.
Qgil added a comment.Aug 27 2013, 8:41 PM

Getting closer through tech community metrics:

Top Gerrit closers:
http://korma.wmflabs.org/browser/scr.html

Siebrand stats:
http://korma.wmflabs.org/browser/people.html?id=21&name=Siebrand

(In reply to comment #15)

Getting closer through tech community metrics:
Top Gerrit closers:
http://korma.wmflabs.org/browser/scr.html
Siebrand stats:
http://korma.wmflabs.org/browser/people.html?id=21&name=Siebrand

What's the thing with the 5000 units peak in March?

Qgil added a comment.Jan 15 2014, 6:21 PM

Still not perfect but http://korma.wmflabs.org/browser/contributors.html shows a list of all the Gerrit users that got at least one patch merged.

(In reply to comment #16)

What's the thing with the 5000 units peak in March?

Probably related to Bug 58349 - Graph of pending reviews in Gerrit shows wrong data

sumanah wrote:

I figure ECT will be able to use a list of Phabricator users once we've made the switch.

ben.beetle wrote:

(In reply to Antoine "hashar" Musso (WMF) from comment #7)

From Sumanah, tip about how to get a list of user is at :
https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e
Aka:
gerrit gsql --format PRETTY -c "select full_name,preferred_email from
accounts"
This can be done in a way similar to
https://gerrit.wikimedia.org/mediawiki-extensions.txt , have a look at:
operations/puppet.git
manifests/gerrit.pp
class gerrit::crons
The cron generating the list of extensions is list_mediawiki_extensions.
Just need to add a new cron there ;-)

(In reply to Chad H. from comment #10)

(In reply to comment #7)

From Sumanah, tip about how to get a list of user is at :
https://groups.google.com/group/repo-discuss/msg/c426b6a83400b58e
Aka:
gerrit gsql --format PRETTY -c "select full_name,preferred_email from accounts"

You sure about that?
$ ssh -p 29418 gerrit.wikimedia.org gerrit gsql --format PRETTY -c "select
full_name,preferred_email from accounts"
fatal: No argument is allowed: full_name,preferred_email

To anyone trying to run this command via SSH make sure you escape the quotes around the sql statement with backslashes.

Qgil closed this task as Resolved.Jan 8 2015, 11:31 AM
Qgil claimed this task.

I'm going to resolve this task, but let me explain.

Initially this task was about offering a full list of Gerrit users. Gerrit didn't offer such feature, and it is unclear to me why it is needed.

At some point it was renamed to show a list of Phabricator users, which is available at https://phabricator.wikimedia.org/people/

Also, we have lists of active Gerrit users at http://korma.wmflabs.org/browser/scr.html

jayvdb added a subscriber: jayvdb.May 17 2016, 7:00 PM

@Qgil, was there any Phabricator (Upstream) -iness about this task? Was the "People" a WMF requested feature? It seems to have existed long before WMF adopted Phab.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 17 2016, 7:00 PM

Was the "People" a WMF requested feature?

Not that I know.

It seems to have existed long before WMF adopted Phab.

Indeed.